summaryrefslogtreecommitdiffstats
path: root/tests/test6.tst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test6.tst')
-rw-r--r--tests/test6.tst21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/test6.tst b/tests/test6.tst
new file mode 100644
index 0000000..9c116e3
--- /dev/null
+++ b/tests/test6.tst
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# Test orphanskill feature (std)
+#
+header "Test orphanskill feature (std)"
+if pgrep daemontest; then
+ echo "Exiting because there is already a daemontest running."
+ exit 1
+fi
+runcmd "$MOCKCMD --offline --init"
+runcmd "$MOCKCMD --offline --copyin tests/daemontest.c /tmp"
+runcmd "$MOCKCMD --offline --chroot -- gcc -Wall -o /tmp/daemontest /tmp/daemontest.c"
+runcmd "$MOCKCMD --offline --chroot -- /tmp/daemontest"
+if pgrep daemontest; then
+ echo "Daemontest FAILED. found a daemontest process running after exit."
+ exit 1
+fi
+